Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## weblogic.management.configuration
Interface SNMPProxyMBean

public interface SNMPProxyMBean
extends ConfigurationMBean

The MBean representing the SNMP agents to be proxied by the current one.

Field Summary
`static long` | `CACHING_STUB_SVUID`

Fields inherited from class weblogic.management.configuration.ConfigurationMBean
`CACHING_STUB_SVUID`

Method Summary
`java.lang.String` | `getCommunity()` Returns the community name that is passed on for all requests to the proxied agent.
`java.lang.String` | `getOidRoot()` Defines the root of the OID tree on which the proxied agent responds.
`int` | `getPort()` Defines the Port number used for communication with the other SNMP Agents.
`long` | `getTimeout()` Defines the time interval that the WebLogic SNMP proxy agent waits for a response to requests forwarded to another SNMP agent.
`void` | `setCommunity(java.lang.String community)` Defines the community name to be passed on for all requests to the proxied agent.
`void` | `setOidRoot(java.lang.String oid)`
`void` | `setPort(int port)`
`void` | `setTimeout(long timeout)`

Methods inherited from interface weblogic.management.configuration.ConfigurationMBean
`addLinkMbeanAttribute, getNotes, isPersistenceEnabled, setNotes`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Field Detail

### CACHING_STUB_SVUID

    public static final long CACHING_STUB_SVUID

Method Detail

### getPort

    public int getPort()

  Defines the Port number used for communication with the other SNMP Agents.

  Legal Minimum Value: 0
  Legal Maximum Value: 65535

### setPort

    public void setPort(int port)
                 throws javax.management.InvalidAttributeValueException,
                        ConfigurationException

### getOidRoot

    public java.lang.String getOidRoot()

  Defines the root of the OID tree on which the proxied agent responds.

  Legal Value: (value != null) && (value.trim().length() > 0)

### setOidRoot

    public void setOidRoot(java.lang.String oid)
                    throws javax.management.InvalidAttributeValueException,
                           ConfigurationException

### getCommunity

    public java.lang.String getCommunity()

  Returns the community name that is passed on for all requests to the proxied agent.

### setCommunity

    public void setCommunity(java.lang.String community)
                      throws javax.management.InvalidAttributeValueException,
                             ConfigurationException

  Defines the community name to be passed on for all requests to the proxied agent. Default value is the community name contained in incoming SNMP requests to the Master SNMP agent.

  Default Value: "na"
  Legal Value: (value != null) && (value.trim().length() > 0)
  Secure Value: null

### getTimeout

    public long getTimeout()

  Defines the time interval that the WebLogic SNMP proxy agent waits for a response to requests forwarded to another SNMP agent. If the interval elapses without a response, the WebLogic SNMP agent sends an error to the requesting manager.

  Default Value: 5000
  Legal Minimum Value: 0

### setTimeout

    public void setTimeout(long timeout)
                    throws javax.management.InvalidAttributeValueException,
                           ConfigurationException

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs70
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 BEA Systems, Inc. All Rights Reserved.
WebLogic Server 7.0 API Reference